Bug 1336938 - Valgrind detected error in /usr/lib/ld-2.23.90.so
Summary: Valgrind detected error in /usr/lib/ld-2.23.90.so
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 25
Hardware: armv7hl
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: glibc team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-17 20:42 UTC by Tony Asleson
Modified: 2017-12-12 10:44 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:44:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Tony Asleson 2016-05-17 20:42:12 UTC
Description of problem:

When packaging libStorageMgmt we ran into a valgrind error on armv7hl only.  On other architectures the build was fine.  Valgrind is run as part of the `make check` step in the package process for libStorageMgmt.  

Note:  At the moment the committed spec file has been modified to skip the check step to get packages to build until we have an option to turn off just the valgrind checks.

Build log:
https://kojipkgs.fedoraproject.org//work/tasks/5299/14045299/build.log

See:
==9077== Conditional jump or move depends on uninitialised value(s)
==9077==    at 0x401C724: index (in /usr/lib/ld-2.23.90.so)
==9077== 
==9077== Conditional jump or move depends on uninitialised value(s)
==9077==    at 0x401C728: index (in /usr/lib/ld-2.23.90.so)
==9077== 
==9077== Conditional jump or move depends on uninitialised value(s)
==9077==    at 0x4008C04: fillin_rpath (in /usr/lib/ld-2.23.90.so)
==9077==    by 0x4009423: _dl_init_paths (in /usr/lib/ld-2.23.90.so)
==9077== 
==9077== Conditional jump or move depends on uninitialised value(s)
==9077==    at 0x4016D48: dl_open_worker (in /usr/lib/ld-2.23.90.so)
==9077== 
==9077== Conditional jump or move depends on uninitialised value(s)
==9077==    at 0x400983C: _dl_map_object (in /usr/lib/ld-2.23.90.so)
==9077==    by 0x4016DA3: dl_open_worker (in /usr/lib/ld-2.23.90.so)
==9077== 


Version-Release number of selected component (if applicable):


How reproducible:
Guessing 100%


Steps to Reproduce:
1. fedpkg build (with make check enabled in spec file)


Actual results:
Valgrind reported errors


Expected results:
No valgrind reported errors


Additional info:

Comment 1 Jan Kurik 2016-07-26 04:08:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Fedora End Of Life 2017-11-16 19:34:46 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:44:09 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.